<div class="card">
    <h4 class="card-header">Create Charity</h4>
    <div class="card-body">
        <form [formGroup]="form" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="charityName">Charity name</label>
                <input type="text" [(ngModel)]='charity.charityName' formControlName="charityName" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.charityName.errors }" />

            </div>
            <div class="form-group">
                <label for="description">Description</label>
                <input type="text" [(ngModel)]='charity.description' formControlName="description" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.description.errors }" />

            </div>
            <div class="form-group">
                <label for="thumbnailUrl">Thumbnail url</label>
                <input type="text" [(ngModel)]='charity.thumbnailUrl' formControlName="thumbnailUrl" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.thumbnailUrl.errors }" />
            </div>
            <div class="form-group">
                <label for="budgetRequired">Budget required</label>
                <input type="number" [(ngModel)]='charity.budgetRequired' formControlName="budgetRequired" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.budgetRequired.errors }" />
            </div>
            <div class="form-group">
                <label for="numberOfParticipantsWanted">Participants wanted</label>
                <input type="number" [(ngModel)]='charity.numberOfParticipantsWanted' formControlName="numberOfParticipantsWanted" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.numberOfParticipantsWanted.errors }" />
            </div>
            <div class="form-group">
                <button [disabled]="loading" class="btn btn-primary">
                    <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                    Edit Charity
                </button>
                <a routerLink="" class="btn btn-link">Cancel</a>
            </div>
        </form>
    </div>
    <div *ngIf="flagNotGood">Invalid request!</div>   
</div>

